!!ARBfp1.0

ATTRIB tex0 = fragment.texcoord[0];

TEMP image, screen, tred, tgreen, tblue, red, green, blue;

# Lookup source image.
  TEX image, tex0, texture[0], RECT;

# Set the R texcoord for each color component.
# Red:
  MOV tred, tex0;
  MOV tred.z, image.r;
# Green:
  MOV tgreen, tex0;
  MOV tgreen.z, image.g;
# Blue:
  MOV tblue, tex0;
  MOV tblue.z, image.b;

# Sample the halftone pattern once for each color component:
  TEX red, tred, texture[0], 2D;
  TEX green, tgreen, texture[0], 2D;
  TEX blue, tblue, texture[0], 2D;

# Add the results.
  MOV result.color.r, red.r;
  MOV result.color.g, green.r;
  MOV result.color.b, blue.r;
  MOV result.color.a, 1.0;

END
